<template>
  <div class="page">
    <div class="container">
      <div class="row">
        <div class="col">
          <div class="row box-page d-flex justify-content-center align-items-center">
            <div class="col-md-6 d-flex justify-content-center">
                <div class="box">
                  <form >
                    <div class="mb-3">
                      <img src="@/assets/logo-seetowork.png" class="logo d-block m-auto" alt="Logo See To Work">
                    </div>
                    <input v-model='form.name' type="text" name="nome" class="form-control input mb-4" placeholder="NOME" required>
                    <input v-model='form.tel' type="text" name="tel" class="form-control input mb-4" placeholder="TELEFONE OU CELULAR" required>
                    <input v-model='form.cpf' type="text" name="cpf" class="form-control input mb-4" placeholder="CPF" required>
                    <input v-model='form.email' type="email" name="email" class="form-control input mb-4" placeholder="EMAIL" required>
                    <input v-model='form.pass' type="password" name="senha" class="form-control input mb-4" placeholder="SENHA" required>
                    <div class="d-flex justify-content-between mb-4">
                      <button @click="$router.push('/')" type="submit">CADASTRAR</button>
                      <button @click="$router.push('/')" type="button">VOLTAR</button>
                    </div>
                    <!-- <a href="#">
                      <div class="d-flex align-items-center">
                        <p class="m-0">ENTRAR COM</p>
                        <img src="../assets/img/google_plus.svg" class="google" alt="Logo Google E-mail">
                      </div>
                    </a> -->
                  </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Cadastrar',
  data(){
    return{
      form: {
        name: '',
        tel: '',
        cpf: '',
        email: '',
        pass: ''
      }
    }
  },
  methods:{
    cadastrar(e){
      e.preventDefault()
      console.log(this.form)
      localStorage.setItem(this.form.email, this.form)
    }
  }
}
</script>


<style scoped>

.row,
.col {
  margin: 0;
  padding: 0;
}
.page {
  background: #e4e4e4;
  height: 100vh;
  width: 100vw;
}
.box-page{
  height: 100vh;
}
.box {
  border: 5px solid green;
  max-width: 400px;
  border-radius: 15px;
  width: 100%;
  padding: 30px;
}
.google{
  width: 40px;
  margin-left: 10px;
}
/* ||||||||||||||||||||||||||||||||||||| */
form{
  background: #e4e4e4;
  color: #f6f6f6;
  width: 100%;
}
.logo{
  width: 120px;
}
.input {
  background: #f6f6f6;
  border: 2px solid orange;
  border-radius: 0px;
  padding: 3px 10px;
}
input::placeholder{
  color: #292c29;
}
button{
  border: none;
  padding: 10px 20px;
  border-radius: 0px;
  background: orange;
  color: #292c29;
}
a{
  text-decoration: none;
  color: #f6f6f6;
}
a:hover{
  text-decoration: none;
  color: #f6f6f6;
}

</style>